# Class SlaterData

java.lang.Object
org.jmol.quantum.SlaterData

public class SlaterData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`atomNo`
`double`
`coef`
`int`
`elemNo`
`int`
`index`
`boolean`
`isCore`
`int`
`r`
`int`
`x`
`int`
`y`
`int`
`z`
`double`
`zeta`

## Constructor Summary

Constructors
Constructor
Description
`SlaterData(int iAtom, int x, int y, int z, int r, double zeta, double coef)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### isCore

public boolean isCore

### atomNo

public int atomNo

### elemNo

public int elemNo

### x

public int x

### y

public int y

### z

public int z

### r

public int r

### zeta

public double zeta

### coef

public double coef

### index

public int index

## Constructor Details

### SlaterData

public SlaterData(int iAtom, int x, int y, int z, int r, double zeta, double coef)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`